Users in Turkey can't connect due to invalid Valicert certificate

Bug #997326 reported by Joshua Hoover on 2012-05-09
114
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Status tracked in Trunk
Stable-4-2
High
Alejandro J. Cura
Trunk
High
Alejandro J. Cura
Ubuntu One Control Panel
Status tracked in Trunk
Stable-4-2
High
Alejandro J. Cura
Trunk
High
Alejandro J. Cura
Ubuntu Single Sign On Client
Status tracked in Trunk
Stable-4-2
High
Alejandro J. Cura
Trunk
High
Alejandro J. Cura

Bug Description

Precise users in Turkey are showing the following error in the sso-client.log running Ubuntu One nightlies:

2012-05-09 23:04:07,418:418.648958206 - ubuntu_sso.main - INFO - Setting up Ubuntu SSO service.
2012-05-09 23:04:07,431:431.349039078 - ubuntu_sso.main - INFO - Ubuntu SSO service started.
2012-05-09 23:04:07,431:431.591033936 - ubuntu_sso.account - INFO - Creating a new SSO access layer for service url u'https://login.ubuntu.com/api/1.0/'
2012-05-09 23:04:07,441:441.705942154 - ubuntu_sso.credentials - INFO - find_credentials: self.app_name dbus.String(u'Ubuntu One'), result is {}? True
2012-05-09 23:04:07,441:441.935062408 - ubuntu_sso.main - INFO - 'CredentialsManagement': emitting 'CredentialsNotFound' with args (dbus.String(u'Ubuntu One'),) and kwargs {}
2012-05-09 23:04:12,494:494.973897934 - ubuntu_sso.credentials - INFO - _login_or_register: login_only=True email=None.
2012-05-09 23:04:12,517:517.565965652 - ubuntu_sso.credentials - INFO - find_credentials: self.app_name dbus.String(u'Ubuntu One'), result is {}? True
2012-05-09 23:04:12,518:518.060922623 - ubuntu_sso.utils - INFO - get_bin_dir: returning dir located at '/usr/lib/ubuntu-sso-client'.
2012-05-09 23:04:30,176:176.976919174 - ubuntu_sso.utils.webclient.qtnetwork - INFO - Proxy is disabled.
2012-05-09 23:04:30,666:666.793107986 - ubuntu_sso.utils.webclient.qtnetwork - ERROR - SSL errors found; url: https://login.ubuntu.com/api/1.0/authentications
========Error=============
The issuer certificate of a locally looked up certificate could not be found (11)
--------Cert Details------
Organization: ValiCert, Inc.
Common Name: http://www.valicert.com/
Locality Name: ValiCert Validation Network
Unit: ValiCert Class 2 Policy Validation Authority
Country:
State or Province:
==========================
========Error=============
The root CA certificate is not trusted for this purpose (17)
--------Cert Details------
Organization: ValiCert, Inc.
Common Name: http://www.valicert.com/
Locality Name: ValiCert Validation Network
Unit: ValiCert Class 2 Policy Validation Authority
Country:
State or Province:
==========================

2012-05-09 23:04:30,668:668.073892593 - ubuntu_sso.account - ERROR - login failed with:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/account.py", line 216, in login
    token_name=token_name)
WebClientError: (u'SSL handshake failed', u'')
2012-05-09 23:04:34,164:164.979934692 - ubuntu_sso.credentials - INFO - _show_ui: received from the ui return code 10.
2012-05-09 23:04:34,165:165.420055389 - ubuntu_sso.credentials - ERROR - login (app_name: Ubuntu One): Problem while performing login.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/credentials.py", line 107, in inner
    result = yield f(self, *a, **kw)
  File "/usr/lib/python2.7/dist-packages/twisted/internet/defer.py", line 1037, in _inlineCallbacks
    result = result.throwExceptionIntoGenerator(g)
  File "/usr/lib/python2.7/dist-packages/twisted/python/failure.py", line 382, in throwExceptionIntoGenerator
    return g.throw(self.type, self.value, self.tb)
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/credentials.py", line 268, in _login_or_register
    token = yield self._show_ui(login_only)
  File "/usr/lib/python2.7/dist-packages/twisted/internet/defer.py", line 1039, in _inlineCallbacks
    result = g.send(result)
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/credentials.py", line 213, in _show_ui
    raise UserCancellationError()
UserCancellationError

Related branches

Leo Arias (elopio) on 2012-05-09
tags: added: desktop+
Joshua Hoover (joshuahoover) wrote :

A user experiencing this problem reported the following via a support ticket (14554):

When I use Ubuntu in English on the same laptop, I can connect to my account without any problem. Then I made the system language back to Turkish, that didn't cause any issues while synchronising the files . Than I tried to reach my account details, but this time an error occurred. Here is the error code:

WebClientError
u'SSL handshake failed'

summary: - Users in Turkey can't connect due to invalid Vericert certificate
+ Users in Turkey can't connect due to invalid Valicert certificate
dobey (dobey) wrote :

A workaround for this may be to do the following:

sudo ln -s /etc/ssl/certs/ValiCert_Class_2_VA.pem /etc/ssl/certs/55a10908.0

maedrat (mertada) wrote :

Ubuntu One can't find any internet connection when I already have a connection.

jan (janeser) wrote :

can@can-Lenovo-IdeaPad-Y550:~$ sudo ln -s /etc/ssl/certs/ValiCert_Class_2_VA.pem /etc/ssl/certs/55a10908.0
[sudo] password for can:
ln: failed to create symbolic link `/etc/ssl/certs/55a10908.0': Dosya var
can@can-Lenovo-IdeaPad-Y550:~$

Leo Arias (elopio) on 2012-06-20
tags: added: certificate
AlpPirli (alpyeah) wrote :

change the alacarte entry of ubuntu one to this:

env LC_ALL=en_US.UTF-8 ubuntuone-installer

and it'll work

AlpPirli (alpyeah) wrote :

btw the entry does not work on cairo-dock

Aliyar Güneş (aliyargunes) wrote :

One of the useful component of Ubuntu still isn't available in Turkish. This serious problem been going on too long.

Simon Redman (c8mrb) wrote :

I'm getting a similar error, the only thing is my default language is English.
Here's a pastebin of my sso-client.log
http://pastebin.com/K9xfPf1r
Is this possibly the same bug? Since this bug thus far is only related to Turkish, it could be completely unrelated.

When the Ubuntu One client comes up, I see:
Sorry, an error has occurred and Ubuntu One needs to close.
Clicking more details reveals:
IPCError

Utku Erdoğdu (utku) wrote :

This bug causes the Ubuntu One authentication to fail as if user entered a wrong password. Ubuntu client is not closed and no such error message is displayed. I do not think you are experiencing the same issue.

heartsmagic (heartsmagic) wrote :

This problem occurs with daily 12.10 Precise.

tags: added: u1-support
removed: support
yoh (yohann-m) wrote :

I had the same problem, I uninstalled and resinstall ubuntu one followinf those steps :
https://one.ubuntu.com/help/faq/how-do-i-completely-remove-and-reinstall-ubuntu-one/
And it works.

Note : I use linux mint 13

Alejandro J. Cura (alecu) wrote :

It seems that QtNetwork has an issue validating some SSL certificates when the Locale is set to turkish.
A workaround would be to set the LC_CTYPE environment variable to "C" in both the Ubuntu One control panel and the ubuntu-sso-client processes, either before those processes are started, or just before the QCoreApplication is created in both.
I'll work on a set of fixes for this.

Burak Göksoy (rbgoksoy) wrote :

I could not see prevailing provisional solution therefore i want to mention about this.

First turn system language English from the Turkish.
Second connect Ubuntu One account.
Last turn back system language Turkish.

Download full text (4.8 KiB)

Way to go, Burak! Kudos! This actually works.
So simple and obvious, yet so elusive until now, until someone like you who
can remember to look for the obvious tried it.
I am sure the fact that this workaround works will give valuable insight as
to having a permanent solution. Burak, my kindest regards.

2012/12/11 Burak Göksoy <email address hidden>

> I could not see prevailing provisional solution therefore i want to
> mention about this.
>
> First turn system language English from the Turkish.
> Second connect Ubuntu One account.
> Last turn back system language Turkish.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/997326
>
> Title:
> Users in Turkey can't connect due to invalid Valicert certificate
>
> Status in Ubuntu One Client:
> Triaged
>
> Bug description:
> Precise users in Turkey are showing the following error in the sso-
> client.log running Ubuntu One nightlies:
>
> 2012-05-09 23:04:07,418:418.648958206 - ubuntu_sso.main - INFO - Setting
> up Ubuntu SSO service.
> 2012-05-09 23:04:07,431:431.349039078 - ubuntu_sso.main - INFO - Ubuntu
> SSO service started.
> 2012-05-09 23:04:07,431:431.591033936 - ubuntu_sso.account - INFO -
> Creating a new SSO access layer for service url u'
> https://login.ubuntu.com/api/1.0/'
> 2012-05-09 23:04:07,441:441.705942154 - ubuntu_sso.credentials - INFO -
> find_credentials: self.app_name dbus.String(u'Ubuntu One'), result is {}?
> True
> 2012-05-09 23:04:07,441:441.935062408 - ubuntu_sso.main - INFO -
> 'CredentialsManagement': emitting 'CredentialsNotFound' with args
> (dbus.String(u'Ubuntu One'),) and kwargs {}
> 2012-05-09 23:04:12,494:494.973897934 - ubuntu_sso.credentials - INFO -
> _login_or_register: login_only=True email=None.
> 2012-05-09 23:04:12,517:517.565965652 - ubuntu_sso.credentials - INFO -
> find_credentials: self.app_name dbus.String(u'Ubuntu One'), result is {}?
> True
> 2012-05-09 23:04:12,518:518.060922623 - ubuntu_sso.utils - INFO -
> get_bin_dir: returning dir located at '/usr/lib/ubuntu-sso-client'.
> 2012-05-09 23:04:30,176:176.976919174 -
> ubuntu_sso.utils.webclient.qtnetwork - INFO - Proxy is disabled.
> 2012-05-09 23:04:30,666:666.793107986 -
> ubuntu_sso.utils.webclient.qtnetwork - ERROR - SSL errors found; url:
> https://login.ubuntu.com/api/1.0/authentications
> ========Error=============
> The issuer certificate of a locally looked up certificate could not be
> found (11)
> --------Cert Details------
> Organization: ValiCert, Inc.
> Common Name: http://www.valicert.com/
> Locality Name: ValiCert Validation Network
> Unit: ValiCert Class 2 Policy Validation Authority
> Country:
> State or Province:
> ==========================
> ========Error=============
> The root CA certificate is not trusted for this purpose (17)
> --------Cert Details------
> Organization: ValiCert, Inc.
> Common Name: http://www.valicert.com/
> Locality Name: ValiCert Validation Network
> Unit: ValiCert Class 2 Policy Validation Authority
> Country:
> State or Province:
> ==========================
>
> 2012-05-09 23:04:30,668:6...

Read more...

GriDongu (gridongu) wrote :

I can't connect due to invalid Valicert certificate. i can't sign in App. Manager to my account.

Changed in ubuntuone-control-panel:
status: New → Triaged
Changed in ubuntu-sso-client:
status: New → Triaged
Changed in ubuntuone-control-panel:
importance: Undecided → High
Changed in ubuntu-sso-client:
importance: Undecided → High
Changed in ubuntuone-control-panel:
assignee: nobody → Alejandro J. Cura (alecu)
Changed in ubuntu-sso-client:
assignee: nobody → Alejandro J. Cura (alecu)
Changed in ubuntuone-client:
assignee: Ubuntu One Client Engineering team (ubuntuone-client-engineering) → Alejandro J. Cura (alecu)
Changed in ubuntu-sso-client:
status: Triaged → Fix Committed
Julien Funk (jaboing) on 2013-01-16
tags: added: u1-by-support
Changed in ubuntuone-control-panel:
status: Triaged → Fix Committed
Alejandro J. Cura (alecu) wrote :

I just verified that the Ubuntu One nightlies fix this issue on an up to date Turkish VM with Quantal installed.

Changed in ubuntuone-client:
status: Triaged → Fix Committed
tags: removed: u1-support
Julien Funk (jaboing) on 2013-01-19
tags: added: u1-on-production
Julien Funk (jaboing) on 2013-01-28
tags: added: u1-web-server
Julien Funk (jaboing) on 2013-03-06
tags: added: u1-server
removed: u1-web-server
Emre Onur Bal (emre-o-bal) wrote :

Now, I'm using Arch Linux and I can confirm the bug has been fixed with the last update from the Arch's repository. Thanks everyone, especially the developers and the support team.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers